<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:tns="http://tempuri.org/" xmlns:s0="http://tempuri.org/DocumentTypes" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" targetNamespace="http://tempuri.org/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <s:schema elementFormDefault="qualified" targetNamespace="http://tempuri.org/DocumentTypes">
      <s:import namespace="http://tempuri.org/" />
      <s:element name="ConsultaPorValidacion" nillable="true" type="tns:ConsultaPorValidacion" />
      <s:element name="ConsultaPorValidacionResponse" nillable="true" type="tns:ConsultaPorValidacionResponse" />
      <s:element name="ConsultarFacturasPorNit" nillable="true" type="tns:ConsultarFacturasPorNit" />
      <s:element name="ConsultarFacturasPorNitResponse" nillable="true" type="tns:ConsultarFacturasPorNitResponse" />
      <s:element name="ConsultarFacturaPorNumero" nillable="true" type="tns:ConsultarFacturaPorNumero" />
      <s:element name="ConsultarFacturaPorNumeroResponse" nillable="true" type="tns:ConsultarFacturaPorNumeroResponse" />
      <s:element name="RegistrarPagoIFX" nillable="true" type="tns:RegistrarPagoIFX" />
      <s:element name="RegistrarPagoResponse" nillable="true" type="tns:RegistrarPagoResponse" />
      <s:element name="Reverso" nillable="true" type="tns:Reverso" />
      <s:element name="ReversoResponse" nillable="true" type="tns:ReversoResponse" />
    </s:schema>
    <s:schema elementFormDefault="qualified" targetNamespace="http://tempuri.org/">
      <s:complexType name="ConsultaPorValidacion">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="cadenaIFX" type="s:string" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="ConsultaPorValidacionResponse">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="cadenaIFX" type="s:string" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="ConsultarFacturasPorNit">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="cadenaIFX" type="s:string" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="ConsultarFacturasPorNitResponse">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="cadenaIFX" type="s:string" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="ConsultarFacturaPorNumero">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="cadenaIFX" type="s:string" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="ConsultarFacturaPorNumeroResponse">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="cadenaIFX" type="s:string" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="RegistrarPagoIFX">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="cadenaIFX" type="s:string" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="RegistrarPagoResponse">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="cadenaIFX" type="s:string" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="Reverso">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="cadenaIFX" type="s:string" />
        </s:sequence>
      </s:complexType>
      <s:complexType name="ReversoResponse">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="cadenaIFX" type="s:string" />
        </s:sequence>
      </s:complexType>
    </s:schema>
  </wsdl:types>
  <wsdl:message name="ConsultarPorValidacionSoapIn">
    <wsdl:part name="ConsultaPorValidacion" element="s0:ConsultaPorValidacion" />
  </wsdl:message>
  <wsdl:message name="ConsultarPorValidacionSoapOut">
    <wsdl:part name="ConsultarPorValidacionResult" element="s0:ConsultaPorValidacionResponse" />
  </wsdl:message>
  <wsdl:message name="ConsultarFacturasPorNitSoapIn">
    <wsdl:part name="ConsultarFacturasPorNit1" element="s0:ConsultarFacturasPorNit" />
  </wsdl:message>
  <wsdl:message name="ConsultarFacturasPorNitSoapOut">
    <wsdl:part name="ConsultarFacturasPorNitResult" element="s0:ConsultarFacturasPorNitResponse" />
  </wsdl:message>
  <wsdl:message name="ConsultarFacturaPorNumeroSoapIn">
    <wsdl:part name="ConsultarFacturaPorNumero1" element="s0:ConsultarFacturaPorNumero" />
  </wsdl:message>
  <wsdl:message name="ConsultarFacturaPorNumeroSoapOut">
    <wsdl:part name="ConsultarFacturaPorNumeroResult" element="s0:ConsultarFacturaPorNumeroResponse" />
  </wsdl:message>
  <wsdl:message name="RegistrarPagoIFXSoapIn">
    <wsdl:part name="RegistrarPagoIFX1" element="s0:RegistrarPagoIFX" />
  </wsdl:message>
  <wsdl:message name="RegistrarPagoIFXSoapOut">
    <wsdl:part name="RegistrarPagoIFXResult" element="s0:RegistrarPagoResponse" />
  </wsdl:message>
  <wsdl:message name="ReversoSoapIn">
    <wsdl:part name="Reverso1" element="s0:Reverso" />
  </wsdl:message>
  <wsdl:message name="ReversoSoapOut">
    <wsdl:part name="ReversoResult" element="s0:ReversoResponse" />
  </wsdl:message>
  <wsdl:portType name="PSServiciosRecaudoBinding">
    <wsdl:operation name="ConsultarPorValidacion">
      <wsdl:input message="tns:ConsultarPorValidacionSoapIn" />
      <wsdl:output message="tns:ConsultarPorValidacionSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="ConsultarFacturasPorNit">
      <wsdl:input message="tns:ConsultarFacturasPorNitSoapIn" />
      <wsdl:output message="tns:ConsultarFacturasPorNitSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="ConsultarFacturaPorNumero">
      <wsdl:input message="tns:ConsultarFacturaPorNumeroSoapIn" />
      <wsdl:output message="tns:ConsultarFacturaPorNumeroSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="RegistrarPagoIFX">
      <wsdl:input message="tns:RegistrarPagoIFXSoapIn" />
      <wsdl:output message="tns:RegistrarPagoIFXSoapOut" />
    </wsdl:operation>
    <wsdl:operation name="Reverso">
      <wsdl:input message="tns:ReversoSoapIn" />
      <wsdl:output message="tns:ReversoSoapOut" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="PSServiciosRecaudoBinding" type="tns:PSServiciosRecaudoBinding">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="ConsultarPorValidacion">
      <soap:operation soapAction="http://tempuri.org/ConsultarPorValidacion" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="ConsultarFacturasPorNit">
      <soap:operation soapAction="http://tempuri.org/ConsultarFacturasPorNit" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="ConsultarFacturaPorNumero">
      <soap:operation soapAction="http://tempuri.org/ConsultarFacturaPorNumero" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="RegistrarPagoIFX">
      <soap:operation soapAction="http://tempuri.org/RegistrarPagoIFX" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Reverso">
      <soap:operation soapAction="http://tempuri.org/Reverso" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="PSServiciosRecaudoBinding1" type="tns:PSServiciosRecaudoBinding">
    <soap12:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="ConsultarPorValidacion">
      <soap12:operation soapAction="http://tempuri.org/ConsultarPorValidacion" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="ConsultarFacturasPorNit">
      <soap12:operation soapAction="http://tempuri.org/ConsultarFacturasPorNit" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="ConsultarFacturaPorNumero">
      <soap12:operation soapAction="http://tempuri.org/ConsultarFacturaPorNumero" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="RegistrarPagoIFX">
      <soap12:operation soapAction="http://tempuri.org/RegistrarPagoIFX" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Reverso">
      <soap12:operation soapAction="http://tempuri.org/Reverso" style="document" />
      <wsdl:input>
        <soap12:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="PSServiciosRecaudoService">
    <wsdl:port name="PSServiciosRecaudoBinding" binding="tns:PSServiciosRecaudoBinding">
      <soap:address location="https://buga-test.softwaretributario.com/PSServiciosRecaudoService.asmx" />
    </wsdl:port>
    <wsdl:port name="PSServiciosRecaudoBinding1" binding="tns:PSServiciosRecaudoBinding1">
      <soap12:address location="https://buga-test.softwaretributario.com/PSServiciosRecaudoService.asmx" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>